pcl::PosesFromMatches Class Reference
Module common

calculate 3D transformation based on point correspondencdes More...

`#include <pcl/common/poses_from_matches.h>`

## Classes

struct | Parameters
| Parameters used in this class. More...
struct | PoseEstimate
| A result of the pose estimation process. More...

## Public Types

typedef std::vector< PoseEstimate, Eigen::aligned_allocator< PoseEstimate > > | PoseEstimatesVector

## Public Member Functions

| PosesFromMatches ()
| Constructor. More...
| ~PosesFromMatches ()
| Destructor. More...
void | estimatePosesUsing1Correspondence (const PointCorrespondences6DVector &correspondences, int max_no_of_results, PoseEstimatesVector &pose_estimates) const
| Use single 6DOF correspondences to estimate transformations between the coordinate systems. More...
void | estimatePosesUsing2Correspondences (const PointCorrespondences6DVector &correspondences, int max_no_of_tested_combinations, int max_no_of_results, PoseEstimatesVector &pose_estimates) const
| Use pairs of 6DOF correspondences to estimate transformations between the coordinate systems. More...
void | estimatePosesUsing3Correspondences (const PointCorrespondences6DVector &correspondences, int max_no_of_tested_combinations, int max_no_of_results, PoseEstimatesVector &pose_estimates) const
| Use triples of 6DOF correspondences to estimate transformations between the coordinate systems. More...
Parameters & | getParameters ()
| Get a reference to the parameters struct. More...

## Protected Attributes

Parameters | parameters_

## Detailed Description

calculate 3D transformation based on point correspondencdes

Author
  Bastian Steder

Definition at line 51 of file poses_from_matches.h.

## Member Typedef Documentation

typedef std::vector<PoseEstimate, Eigen::aligned_allocator<PoseEstimate> > pcl::PosesFromMatches::PoseEstimatesVector

Definition at line 90 of file poses_from_matches.h.

## Constructor & Destructor Documentation

pcl::PosesFromMatches::PosesFromMatches | ( |  | ) |

Constructor.

pcl::PosesFromMatches::~PosesFromMatches | ( |  | ) |

Destructor.

## Member Function Documentation

void pcl::PosesFromMatches::estimatePosesUsing1Correspondence | ( | const PointCorrespondences6DVector & | correspondences,
|  | int | max_no_of_results,
|  | PoseEstimatesVector & | pose_estimates
| ) |  | const

Use single 6DOF correspondences to estimate transformations between the coordinate systems.

Use max_no_of_results=-1 to use all. It is assumed, that the correspondences are sorted from good to bad.

void pcl::PosesFromMatches::estimatePosesUsing2Correspondences | ( | const PointCorrespondences6DVector & | correspondences,
|  | int | max_no_of_tested_combinations,
|  | int | max_no_of_results,
|  | PoseEstimatesVector & | pose_estimates
| ) |  | const

Use pairs of 6DOF correspondences to estimate transformations between the coordinate systems.

It is assumed, that the correspondences are sorted from good to bad.

void pcl::PosesFromMatches::estimatePosesUsing3Correspondences | ( | const PointCorrespondences6DVector & | correspondences,
|  | int | max_no_of_tested_combinations,
|  | int | max_no_of_results,
|  | PoseEstimatesVector & | pose_estimates
| ) |  | const

Use triples of 6DOF correspondences to estimate transformations between the coordinate systems.

It is assumed, that the correspondences are sorted from good to bad.

Parameters& pcl::PosesFromMatches::getParameters | ( |  | ) |

inline

Get a reference to the parameters struct.

Definition at line 122 of file poses_from_matches.h.

## Member Data Documentation

Parameters pcl::PosesFromMatches::parameters_

protected

Definition at line 126 of file poses_from_matches.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/poses_from_matches.h